# Patchjobfleet

The PatchJobFleet element describes a Fleet whose ApplicationInstances will be patched (in combination with other selectors).

This element is one of the [PatchJob](/game-hosting/elements/patchjob.md) properties that define the selection of ApplicationInstances to patch.

The other PatchJob properties that create the selection of ApplicationInstances are:

* DeploymentEnvironment ID (`PatchJob.deploymentEnvironmentId` property)
* Application ID (`PatchJob.applicationId` property)
* One or more old ApplicationBuild IDs (`PatchJob.applicationBuild` property)

## Element structure

| Property | Value type | Required  | Description                             |
| -------- | ---------- | --------- | --------------------------------------- |
| id       | string     | Read-only | Unique identifier of this element       |
| fleetId  | string     | Yes       | The Fleet ID to include in the PatchJob |

Table 1: PatchJobFleet element structure

## API example

This element is not created individually, but is included in, and created with the [PatchJob](/game-hosting/elements/patchjob.md) element.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/game-hosting/elements/patchjob/patchjobfleet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
